Loading...
Searching...
No Matches
casacore::FitToHalfStatisticsData Class Reference

Various data for FitToHalfStatistics. More...

`#include <FitToHalfStatisticsData.h>`

## Public Types

enum | CENTER { CMEAN , CMEDIAN , CVALUE }
| choice of center point based on the corresponding statistics from the entire distribution of data, or simply an arbitrary value More...
enum | USE_DATA { LE_CENTER , GE_CENTER }
| which section of data to use, greater than or less than the center value More...

## Detailed Description

Various data for FitToHalfStatistics.

Definition at line 34 of file FitToHalfStatisticsData.h.

## Member Enumeration Documentation

## CENTER

enum casacore::FitToHalfStatisticsData::CENTER

choice of center point based on the corresponding statistics from the entire distribution of data, or simply an arbitrary value

Enumerator
CMEAN |
CMEDIAN |
CVALUE |

Definition at line 39 of file FitToHalfStatisticsData.h.

## USE_DATA

enum casacore::FitToHalfStatisticsData::USE_DATA

which section of data to use, greater than or less than the center value

Enumerator
LE_CENTER |
GE_CENTER |

Definition at line 46 of file FitToHalfStatisticsData.h.

The documentation for this class was generated from the following file:

- scimath/StatsFramework/FitToHalfStatisticsData.h